Package com.emc.d2fs.services.repository_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.repository_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.repository_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.repository_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CheckLoginRequest`
  `createCheckLoginRequest()`
  Create an instance of `CheckLoginRequest`
  `CheckLoginResponse`
  `createCheckLoginResponse()`
  Create an instance of `CheckLoginResponse`
  `CleanupSearchDataRequest`
  `createCleanupSearchDataRequest()`
  Create an instance of `CleanupSearchDataRequest`
  `CleanupSearchDataResponse`
  `createCleanupSearchDataResponse()`
  Create an instance of `CleanupSearchDataResponse`
  `GenerateDMTicketRequest`
  `createGenerateDMTicketRequest()`
  Create an instance of `GenerateDMTicketRequest`
  `GenerateDMTicketResponse`
  `createGenerateDMTicketResponse()`
  Create an instance of `GenerateDMTicketResponse`
  `GetAllRepositoriesRequest`
  `createGetAllRepositoriesRequest()`
  Create an instance of `GetAllRepositoriesRequest`
  `GetAllRepositoriesResponse`
  `createGetAllRepositoriesResponse()`
  Create an instance of `GetAllRepositoriesResponse`
  `GetAppInfoRequest`
  `createGetAppInfoRequest()`
  Create an instance of `GetAppInfoRequest`
  `GetAppInfoResponse`
  `createGetAppInfoResponse()`
  Create an instance of `GetAppInfoResponse`
  `GetLogoutRedirectURLRequest`
  `createGetLogoutRedirectURLRequest()`
  Create an instance of `GetLogoutRedirectURLRequest`
  `GetLogoutRedirectURLResponse`
  `createGetLogoutRedirectURLResponse()`
  Create an instance of `GetLogoutRedirectURLResponse`
  `GetNetworkLocationsRequest`
  `createGetNetworkLocationsRequest()`
  Create an instance of `GetNetworkLocationsRequest`
  `GetNetworkLocationsResponse`
  `createGetNetworkLocationsResponse()`
  Create an instance of `GetNetworkLocationsResponse`
  `GetRepositoryNameFromIdRequest`
  `createGetRepositoryNameFromIdRequest()`
  Create an instance of `GetRepositoryNameFromIdRequest`
  `GetRepositoryNameFromIdResponse`
  `createGetRepositoryNameFromIdResponse()`
  Create an instance of `GetRepositoryNameFromIdResponse`
  `GetRepositoryRequest`
  `createGetRepositoryRequest()`
  Create an instance of `GetRepositoryRequest`
  `GetRepositoryResponse`
  `createGetRepositoryResponse()`
  Create an instance of `GetRepositoryResponse`
  `GetUserLoginNameRequest`
  `createGetUserLoginNameRequest()`
  Create an instance of `GetUserLoginNameRequest`
  `GetUserLoginNameResponse`
  `createGetUserLoginNameResponse()`
  Create an instance of `GetUserLoginNameResponse`
  `ReleaseRequest`
  `createReleaseRequest()`
  Create an instance of `ReleaseRequest`
  `ReleaseResponse`
  `createReleaseResponse()`
  Create an instance of `ReleaseResponse`
  `SetKrbWebAppSPNRequest`
  `createSetKrbWebAppSPNRequest()`
  Create an instance of `SetKrbWebAppSPNRequest`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.repository_service

- ## Method Details

  - ### createCheckLoginRequest

    public CheckLoginRequest createCheckLoginRequest()
    Create an instance of `CheckLoginRequest`

  - ### createCheckLoginResponse

    public CheckLoginResponse createCheckLoginResponse()
    Create an instance of `CheckLoginResponse`

  - ### createGetUserLoginNameRequest

    public GetUserLoginNameRequest createGetUserLoginNameRequest()
    Create an instance of `GetUserLoginNameRequest`

  - ### createGetUserLoginNameResponse

    public GetUserLoginNameResponse createGetUserLoginNameResponse()
    Create an instance of `GetUserLoginNameResponse`

  - ### createGetLogoutRedirectURLRequest

    public GetLogoutRedirectURLRequest createGetLogoutRedirectURLRequest()
    Create an instance of `GetLogoutRedirectURLRequest`

  - ### createGetLogoutRedirectURLResponse

    public GetLogoutRedirectURLResponse createGetLogoutRedirectURLResponse()
    Create an instance of `GetLogoutRedirectURLResponse`

  - ### createGetAllRepositoriesRequest

    public GetAllRepositoriesRequest createGetAllRepositoriesRequest()
    Create an instance of `GetAllRepositoriesRequest`

  - ### createGetAllRepositoriesResponse

    public GetAllRepositoriesResponse createGetAllRepositoriesResponse()
    Create an instance of `GetAllRepositoriesResponse`

  - ### createGetNetworkLocationsRequest

    public GetNetworkLocationsRequest createGetNetworkLocationsRequest()
    Create an instance of `GetNetworkLocationsRequest`

  - ### createGetNetworkLocationsResponse

    public GetNetworkLocationsResponse createGetNetworkLocationsResponse()
    Create an instance of `GetNetworkLocationsResponse`

  - ### createGetRepositoryRequest

    public GetRepositoryRequest createGetRepositoryRequest()
    Create an instance of `GetRepositoryRequest`

  - ### createGetRepositoryResponse

    public GetRepositoryResponse createGetRepositoryResponse()
    Create an instance of `GetRepositoryResponse`

  - ### createReleaseRequest

    public ReleaseRequest createReleaseRequest()
    Create an instance of `ReleaseRequest`

  - ### createReleaseResponse

    public ReleaseResponse createReleaseResponse()
    Create an instance of `ReleaseResponse`

  - ### createCleanupSearchDataRequest

    public CleanupSearchDataRequest createCleanupSearchDataRequest()
    Create an instance of `CleanupSearchDataRequest`

  - ### createCleanupSearchDataResponse

    public CleanupSearchDataResponse createCleanupSearchDataResponse()
    Create an instance of `CleanupSearchDataResponse`

  - ### createSetKrbWebAppSPNRequest

    public SetKrbWebAppSPNRequest createSetKrbWebAppSPNRequest()
    Create an instance of `SetKrbWebAppSPNRequest`

  - ### createGenerateDMTicketRequest

    public GenerateDMTicketRequest createGenerateDMTicketRequest()
    Create an instance of `GenerateDMTicketRequest`

  - ### createGenerateDMTicketResponse

    public GenerateDMTicketResponse createGenerateDMTicketResponse()
    Create an instance of `GenerateDMTicketResponse`

  - ### createGetRepositoryNameFromIdRequest

    public GetRepositoryNameFromIdRequest createGetRepositoryNameFromIdRequest()
    Create an instance of `GetRepositoryNameFromIdRequest`

  - ### createGetRepositoryNameFromIdResponse

    public GetRepositoryNameFromIdResponse createGetRepositoryNameFromIdResponse()
    Create an instance of `GetRepositoryNameFromIdResponse`

  - ### createGetAppInfoRequest

    public GetAppInfoRequest createGetAppInfoRequest()
    Create an instance of `GetAppInfoRequest`

  - ### createGetAppInfoResponse

    public GetAppInfoResponse createGetAppInfoResponse()
    Create an instance of `GetAppInfoResponse`